button,.subj-5,.subj-6{
    transition: 0.5s;
    border-radius: 10px 0px 10px 10px;
    border: none;
    /* color: #fff; */
    background-image: radial-gradient( #FFCB00,#e6a017);
    color: #183153;
    background-image: none;
    border: 2px solid #183153;
    border-right-width: 2.5px;
    border-left-width: 2.5px;
    box-shadow: 0px 5px 0px 0px #183153,0px 5px 0px 0 #183153;
    position: relative;
}
button:hover,button:active{
    /* border-color: #FFCB00; */
    background-color: #183153;
    color: #FFCB00;
    transition-delay: 0s !important;
    /* box-shadow: 0px 5px 0px 0px #FFCB00,0px 5px 0px 0 #FFCB00; */
    
}
button::before,select::before{
    content: "";
    position: absolute;
    width: 30%;
    height: 100%;
    transform: skewX(30deg);
    background-color: #fff;
    inset: 0;
    margin: auto;
    left: -200%;
    pointer-events: none;
    animation: moveEffect 12s ease infinite;
    opacity: 0.3;
}
@keyframes moveEffect {
    0%{
        left:-200%;
        overflow: hidden;
    }

    10%{
        overflow: visible;
        left:115%;
        opacity: 0.3;
    }
    11%{
        opacity: 0;
        overflow: hidden;
    }
    100%{
       left: 116%;
    }
}
#booksWrapper1:hover,#booksWrapper2:hover{
    background-color: transparent;
    box-shadow: 0 0 10px #0000004e;
    scale: 1.029;
}
button:active{
    transition: none;
    transform: scale(0.96);
}
div{
    transition: 0.5s;
}
button:hover{
    cursor: pointer;
}
.MainSection{
    width: 100%;
    height: 90vh;
    position: relative;
}
.btn{
    width: min(max(calc(100vw - 35rem), 10rem),18rem);
    height: 109.9px;
    font-size: 3.5rem;
    background-color: var(--nav);
    border-radius: 14px;
    position: absolute;
    top: 38%;
    z-index: 200;
    transition: 0.5s;
    padding: 10px;
}
.Ipuc{
    left: 15vw;
}
.IIpuc{
    left: 65vw;
}
.divisionline{
    width: 1.5px;
    height: 84vh;
    background-color: var(--text);
    position: absolute;
    left: 50%;
    /* top: -10vh; */
}
.BranchContainer{
    width: 70%;
    height: 50px;
    position: absolute;
    top: 0%;
    left: 1.8%;
    opacity: 0;
    pointer-events: none;
    display: flex;
    justify-content: space-evenly;
    /* margin-right:50px; */
}
.Stream{
    width: 150px;
    height: 40px;
    background-color: var(--nav);
    font-size: 1.3rem;
    transition: 0.7s;
    transition-delay: 0.3s;
}

.subjects{
    width: 70%;
    height: 40px;
    position: absolute;
    transition:0.5s;
    top: 30%;
    opacity: 0;
    left: 3%;
    pointer-events: none;
    display: flex;
    justify-content: space-evenly;
    padding: 10px;
    /* flex-wrap: nowrap;
    flex-direction: column; */
}
.sub-btn{
    width: 130px;
    height: 33px;
    background-color: var(--nav);
    font-size: 15px;
    /* position: absolute; */
    /* margin-right: 20px; */
    
 }
 .subj-1{
    transition-delay: 0.3s;
}
.subj-2{
    transition-delay: 0.5s;
}
.subj-3{
    transition-delay: 0.7s;
}
.subj-4{
    transition-delay: 0.7s;
} 
.subj-5{
    transition-delay: 0.9s;
}
.subj-6{
    transition-delay: 1.1s;
}
    /* Images and books cover pages*/

        .booksWrapper{
            width: 0rem;
            aspect-ratio: 16/9;
            background-color: var(--body);
            background-image: none;
            position: absolute;
            top: 63%;
            left: 23%;
            display:flex;
            justify-content: space-around;
            align-items: center;
            gap: 6em;
            border: none;
            opacity: 0;
            transition: 0.5s;
            pointer-events: none;
            padding-bottom: 50px;
        }
        .books{
            border: 1px solid var(--text);
            background-color: transparent;
            background-image: none;

        }
        .TBinfo{
            font-size: 1.4rem;
            color: var(--text);
        }
        .coverimage{
            width: 150px !important;
            height: 200px !important;
            border-radius: 10px 0 10px 0;
            border: 1px solid #0000004e;
        }


        /* Lines for Branch */


        .linesContainer{
            width: 30%;
            height: 200px;
            /* background-color: #c1a9a929; */
            display: flex;
            top: 14%;
            position: absolute;
            left: 25%;
            z-index: -200;
            opacity: 0;
            transition: 0.5s;
        }
        .Flow{
            background-color: #183153;
            width: 1px;
            height: 14vh;
            position: absolute;

        }
        .line1{left: 40%;}
        .line2{
            width: 133%;
            height: 1px;
            top: 20%;
            left: -23%;
        }
        .line3,.line4,.line5{
            height: 14vh;
            top: 20%;
        }
        .line3{left: -23%;}
        .line4{ left: 40%;}
        .line5{ left: 110%;}

            /* Subject Lines */

            .linesContainerSubjects{
                /* background-color: red; */
                width: 50%;
                height: 90px;
                position: absolute;
                display: flex;
                z-index: -300;
                inset: 0;
                top: 36%;
                left: 10%;
                opacity: 0;
                transition: 0.5s;
            }
            .SubjectFlow{
                width: 1px;
                height: 8vh;
                background-color: #183153;
                position: absolute;
                top: 44%;
                transition: 0.5s;
            }
            .Subjectline1{
                height:40px;
                top: 0%;
                left: 0%;
            }
            .Subjectline2{
                width: 111%;
                height: 1px;
            }
            .Subjectline4{left: 23%;}
            .Subjectline5{left: 45.4%;}
            .Subjectline6{left: 67%;}
            .Subjectline7{left: 89%;}
            .Subjectline8{left: 111%;}

/* first toggle elements */

    .btnToggle{
        width: 200px;
        height: 60px;
        font-size: 2rem;
        top:  6%;
        left: 31%;
        pointer-events: none;
    }
    .linetog{
        position: relative;
        left: 75.7%;
    }   
    .IIpuctoggle{
        width: 160px;
        height: 50px;
        font-size:1.7rem ;
        left: 85%;
    }
    .branchbtnToggle{
        opacity: 1;
        transition: 0.6s;
        pointer-events: all;
        top: 30%;
    }
    .subjectsToggle{
        opacity: 1;
        pointer-events: all;
        top: 50%;
    }
    .booksToggle{
        display: flex;
    }
    .ShowFlowLinesBranch{
        opacity: 1;      
        transition-delay: 0.3s;
    }
    .ShowFlowLinesSub{
        opacity: 1;   
        transition-delay: 0.3s;   
    }
    .ShowCoverPage{
        opacity: 1;
        width: 27%;
        pointer-events: all;
    }
    .Sub-1_Science{left: 14%;}
    .Sub-1_Commerce{left: 55%;}
    .Sub-1_Arts{ left: 94%;}
/* Second Toggle Elements */

    .SecondPUCbtn{
        top: 5%;
        width: 180px;
        height: 60px;
        font-size: 1.7rem;
        left: 50%;
        pointer-events: none;
    }
    .SecondPUCdivisionLine{
        left: 20%;
    }
    .reduceFirstPUC{
        width: 150px;
        height: 50px;
        font-size: 1.5rem;
        left: 5%;
    }
    .secondPUC_Stream{
        left: 21%;
        opacity: 1;
        transition: 0.7s;
        pointer-events: all;
        top: 30%;
    }
    .SecondPUC_sub_move{
        left: 22%;
    }
    .SecondPUC_sub{
        top: 50%;
        opacity: 1;
        pointer-events: all;
    }
    .Show_branch_lines_secondPUC{
        opacity: 1;
        /* background-color: red; */
        left:44%;
    }
    .Show_sub_lines_secondPUC{
        left:29%;
    }



    /* click Effect */

    .ClickEffect{
        width: 100px;
        height: 100px;
        background-color: #fff;
        position: relative;
        /* opacity: 0.5; */
        z-index: 10000000;
    }
